using System;

class Program
{
    static void Main(string[] args)
    {
        try
        {
            // Befehlszeile, Nur-Lesen-Eigenschaft
            string cmdline = Environment.CommandLine;

            // Aktuelles Verzeichnis
            string curdir = Environment.CurrentDirectory;

            // Maschinenname, Nur-Lesen-Eigenschaft
            string mname = Environment.MachineName;

            // Zeilenumbruchzeichen der Umgebung, Nur-Lesen-Eigenschaft
            string newline = Environment.NewLine;

            // Zeilenumbruchzeichen der Umgebung, Nur-Lesen-Eigenschaft
            OperatingSystem os = Environment.OSVersion;

            // Systemverzeichnis, Nur-Lesen-Eigenschaft
            string systemdir = Environment.SystemDirectory;

            // Millisekunden seit Start, Nur-Lesen-Eigenschaft
            int ticks = Environment.TickCount;
            int seconds = ticks / 1000;

            // Benutzername, Nur-Lesen-Eigenschaft
            string username = Environment.UserName;

            // Version der ,CLR Nur-Lesen-Eigenschaft
            Version clrVersion = Environment.Version;

            // physikalischer Speicher für Prozess, Nur-Lesen-Eigenschaft
            long storage = Environment.WorkingSet;



            // Informationen ausgeben
            Console.WriteLine("{0,25}{1}", " Befehlszeile:  ", cmdline);
            Console.WriteLine("{0,25}{1}", " Akt. Verzeichnis:  ", curdir);
            Console.WriteLine("{0,25}{1}", " Maschinenname:  ", mname);
            if (newline == "\r\n")
                Console.WriteLine("{0,25}{1}", " Zeilenumbruch:  ", @"\n\r");
            else if (newline == "\n")
                Console.WriteLine("{0,25}{1}", " Zeilenumbruch:  ", "\n");
            Console.WriteLine("{0,25}{1}", " Betriebssystem:  ", os.ToString());
            Console.WriteLine("{0,25}{1}", " Systemverzeichnis:  ", systemdir);
            Console.WriteLine("{0,25}{1} sec", " Start vor:  ", seconds);
            Console.WriteLine("{0,25}{1}", " Benutzername:  ", username);
            Console.WriteLine("{0,25}{1}", " CLR-Version:  ", clrVersion.ToString());
            Console.WriteLine("{0,25}{1}", " physik. Speicher:  ", storage);
        }
        catch (Exception e)
        {
            Console.WriteLine(e.Message);
        }
    }
}
